{
  ranger,
  
  fetchFromGitHub,
  python3Packages,
}:

ranger.overrideAttrs (selfAttrs: superAttrs: {
  version = "git";
  src = fetchFromGitHub {
    owner = "ranger";
    repo = "ranger";
    rev = "c7777d558d5b69843b21f986e9af1af311c83887";
    hash = "sha256-DTVoEfc4dAaBTDLFujvWIYj5KHL89YknUiinIs9Rkeg=";
  };
  propagatedBuildInputs = with python3Packages; [
    # required for test suite, it's being ran during package build for some reason
    flake8
    pylint
    pytest
    setuptools
  ] ++ superAttrs.propagatedBuildInputs;
})
